Skip to main content
`Ctrl`+`K`

# SVDTRLanczosGetExplicitMatrix

Returns the flag indicating if the stacked matrix \(Z=[A^*,B^*]^*\) is built explicitly.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosGetExplicitMatrix(SVD svd,PetscBool *explicitmat)

Not Collective

## Input Parameter

- svd - the singular value solver context

## Output Parameter

- explicitmat - the mode flag

## See Also

SVD: Singular Value Decomposition, `SVDTRLANCZOS`, `SVDTRLanczosSetExplicitMatrix()`

## Level

advanced

## Location

src/svd/impls/trlanczos/trlanczos.c

## Implementations

SVDTRLanczosGetExplicitMatrix_TRLanczos() in src/svd/impls/trlanczos/trlanczos.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages